For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trebellar Platform
DocsGuidesAPI Reference
DocsGuidesAPI Reference
  • API Reference
    • Introduction
  • API Resources
      • GETList all People Groups
      • POSTAdd People Group
      • PUTUpdate People Group
      • DELDelete People Group
Trebellar Platform
LogoLogo
API ResourcesPeople Groups

List all People Groups

||View as Markdown|
GET
https://api.trebellar.app/api/v2/people/groups
GET
/api/v2/people/groups
1import { TrebellarApiClient } from "@trebellar/api-sdk";
2
3async function main() {
4 const client = new TrebellarApiClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.peopleGroups.listPeopleGroups();
8}
9main();
1{
2 "data": [
3 {
4 "id": "string",
5 "name": "string",
6 "status": "PEOPLE_GROUP_STATUS_UNKNOWN",
7 "path": "string",
8 "parentId": "string",
9 "avatarUrl": "string",
10 "description": "string",
11 "properties": {
12 "color": "#FF5722"
13 },
14 "externalId": "string"
15 }
16 ]
17}
Was this page helpful?
Previous

Insert badge data (bulk)

Next

Add People Group

Built with

Authentication

X-Trebellar-Api-Keystring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Successful operation
datalist of objects

Errors

404
Not Found Error